Google Web Toolkit
Search Google Code:

# Class SuggestOracle.Response

public static class SuggestOracle.Response
extends Object
implements IsSerializable
SuggestOracle response.

## Constructors

SuggestOracle.Response() | Constructor for Response.
SuggestOracle.Response(Collection) | Constructor for Response.

## Methods

getSuggestions() | Gets the collection of suggestions.
setSuggestions(Collection) | Sets the suggestions for this response.

## Constructor Detail

### SuggestOracle.Response

public SuggestOracle.Response()
Constructor for Response.

### SuggestOracle.Response

public SuggestOracle.Response(Collection suggestions)
Constructor for Response.

#### Parameters

suggestions
  each element of suggestions must implement the Suggestion interface

## Method Detail

### getSuggestions

public Collection getSuggestions()
Gets the collection of suggestions. Each suggestion must implement the Suggestion interface.

#### Return Value

the collection of suggestions

### setSuggestions

public void setSuggestions(Collection suggestions)
Sets the suggestions for this response. Each suggestion must implement the Suggestion interface.

#### Parameters

suggestions
  the suggestions